Issue 79809 - Icon (icns) too large in Mac beta
Icon (icns) too large in Mac beta
Status: ACCEPTED
Product: ui
Classification: Code
Component: ui
680m220
Mac Unix, all
: P3 trivial (vote)
: ---
Assigned To: AOO issues mailing list
:
: 79810 79811 79813 79814 (view as issue list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 05:41 UTC by artguy10
Modified: 2013-07-30 02:22 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Smaller main icon; don't really know if this fixes the cause of the problem; icon still looks dirty on right-edge (36.63 KB, text/plain)
2007-07-22 06:07 UTC, artguy10
no flags Details
Experimenting with just the main icon for now, here are my results, and please give me feedback. I downsized the icon (layer, not transparent background) using Gimp (bicubic) to 115px. The size is now nice for use in the dock. However, it is noticeably s (39.46 KB, text/plain)
2007-07-24 22:34 UTC, artguy10
no flags Details
Impress orb suggestion (11.91 KB, image/png)
2007-07-25 01:22 UTC, artguy10
no flags Details
Writer orb suggestion (15.23 KB, image/png)
2007-07-25 01:23 UTC, artguy10
no flags Details
base resized (38.66 KB, image/x-icns)
2007-07-25 01:51 UTC, artguy10
no flags Details
calc resized (39.40 KB, image/x-icns)
2007-07-25 01:51 UTC, artguy10
no flags Details
draw resized (38.72 KB, image/x-icns)
2007-07-25 01:51 UTC, artguy10
no flags Details
impress resized (37.49 KB, image/x-icns)
2007-07-25 01:52 UTC, artguy10
no flags Details
main resized (though not from SVG file) (39.46 KB, image/x-icns)
2007-07-25 01:52 UTC, artguy10
no flags Details
math resized (38.57 KB, image/x-icns)
2007-07-25 01:53 UTC, artguy10
no flags Details
writer resized (37.56 KB, image/x-icns)
2007-07-25 01:54 UTC, artguy10
no flags Details
here's the side-by-side (194.58 KB, image/png)
2007-07-25 03:45 UTC, artguy10
no flags Details
Example icon from Crystal Clear: NOT self made (22.70 KB, image/png)
2007-08-05 19:32 UTC, artguy10
no flags Details
Base (crystal clear) (56.85 KB, image/x-icns)
2007-08-15 18:26 UTC, artguy10
no flags Details
Calc (Crystal Clear) (56.29 KB, image/x-icns)
2007-08-15 18:26 UTC, artguy10
no flags Details
Draw - Crystal Clear (54.43 KB, image/x-icns)
2007-08-15 18:27 UTC, artguy10
no flags Details
Impress - Crystal Clear (53.90 KB, image/x-icns)
2007-08-15 18:27 UTC, artguy10
no flags Details
Main - Crystal Clear (40.81 KB, text/plain)
2007-08-15 18:27 UTC, artguy10
no flags Details
Main - Crystal Clear (40.81 KB, image/x-icns)
2007-08-15 18:27 UTC, artguy10
no flags Details
Math - Crystal Clear (50.84 KB, image/x-icns)
2007-08-15 18:28 UTC, artguy10
no flags Details
Writer - Crystal Clear (56.13 KB, image/x-icns)
2007-08-15 18:28 UTC, artguy10
no flags Details
Alternative Main (Crystal Clear) (45.74 KB, image/x-icns)
2007-08-15 18:29 UTC, artguy10
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description shaunmcdonald131 2007-07-21 00:50:31 UTC
*** Issue 79813 has been marked as a duplicate of this issue. ***
Comment 1 shaunmcdonald131 2007-07-21 00:57:25 UTC
Adding macport to cc.

This will affect/improve the X11 version too.

This is a follow up to a comment in issue 79304

artguy: Are you able to improve the icons for OpenOffice.org?
Comment 2 shaunmcdonald131 2007-07-21 00:58:43 UTC
I'm thinking that this should be re-assigned to marketing>art.
Comment 3 artguy10 2007-07-21 01:47:54 UTC
I think I would be able to improve the other icons, too. But after a couple days
when I get the chance.
Comment 4 Olaf Felka 2007-07-21 07:50:56 UTC
@ kendy: please have a look.
Comment 5 eric.bachard 2007-07-21 07:58:03 UTC
*** Issue 79811 has been marked as a duplicate of this issue. ***
Comment 6 eric.bachard 2007-07-21 07:58:56 UTC
ericb@artguy10

I have closed 79811, 79812 , Shaun closed 79813 ... 

Why all those issues ?

Comment 7 artguy10 2007-07-22 06:05:23 UTC
When I submitted the bug, it just didn't do anything, so I tried again... and
again... and it still didn't work so I emailed OOo.
Comment 8 artguy10 2007-07-22 06:07:03 UTC
Created attachment 46966 [details]
Smaller main icon; don't really know if this fixes the cause of the problem; icon still looks dirty on right-edge
Comment 9 artguy10 2007-07-24 18:44:08 UTC
I'm not sure if I made it a little _too_ small, but I replaced the icon on my
Mac and can't find the original to make other changes. Could someone upload the
original or take care of it themselves?
(Also, downsizing it effects all sizes of the icns file, right? Are the smaller
versions already the right size, or are they too big, too?)

In the Resources folder of the OOo app, there are over 30 icons. Must they all
be changed?
Comment 10 shaunmcdonald131 2007-07-24 19:57:51 UTC
Why not download another build of ooo to get the icons from there?

Reassigning to artguy10, since he knows what he's doing.

Please also update all the other app icons in the .app for when they are used in the future when` we 
introduce separate apps. The file names end -app.icns
Comment 11 shaunmcdonald131 2007-07-24 19:58:34 UTC
confirming
Comment 12 artguy10 2007-07-24 21:03:25 UTC
Alright, I'll see what I can do. smsm1, thanks for the suggestion; now I
remember I still have the .dmg file. :)
Comment 13 artguy10 2007-07-24 21:06:58 UTC
started work
Comment 14 eric.bachard 2007-07-24 21:10:14 UTC
artguy10 : please have a look at :
http://qa.openoffice.org/issues/show_bug.cgi?id=43000

But maybe this is the old version you'll find attached, and better use the icons
in the bundle.
Comment 15 Olaf Felka 2007-07-24 21:21:06 UTC
*** Issue 79810 has been marked as a duplicate of this issue. ***
Comment 16 Olaf Felka 2007-07-24 21:21:49 UTC
*** Issue 79814 has been marked as a duplicate of this issue. ***
Comment 17 artguy10 2007-07-24 22:34:00 UTC
Created attachment 47054 [details]
Experimenting with just the main icon for now, here are my results, and please give me feedback. I downsized the icon (layer, not transparent background) using Gimp (bicubic) to 115px. The size is now nice for use in the dock. However, it is noticeably s
Comment 18 artguy10 2007-07-24 22:36:01 UTC
Experimenting with just the main icon for now, here are my results, and please
give me feedback. I downsized the icon (layer, not transparent background) using
Gimp (bicubic) to 115px. The size is now nice for use in the dock. However, it
is noticeably softer than the original. Furthermore, the smaller versions of the
icon have also decreased greatly in size by this downsizing (yet I don't know
their use anyhow). I'm thinking that using the actual SVGs would be better for
getting a sharper image, but I would only be able to recreate the largest icon
size with the tools I have (which may be fine for the Mac version?) Where are
the SVG originals?
Comment 19 artguy10 2007-07-24 22:52:15 UTC
Note: Actually, if I can get a png icon with multiple sizes, I can turn that
into an icns file. Is there a way to create multiple sizes of an image in the Gimp?
Comment 20 artguy10 2007-07-24 22:56:09 UTC
On third thought, perhaps (if other people think that is a good idea) I can
attempt to create icons for OOo for Mac to fit in with the crystal icon theme
common on Mac icons. Like, GIMP and Inkscape and Microsoft Office all have
unique icons for the Mac version, perhaps this should hold true for OpenOffice.org?
Comment 21 artguy10 2007-07-25 01:21:34 UTC
I found the SVG files for all but the main app icon.

Here is a proposal for a different icon stile for the Mac version, also.
(Perhaps I could use the symbol instead of the letter, or other changes, or just
stick with the standard, but here they are.)
Comment 22 artguy10 2007-07-25 01:22:46 UTC
Created attachment 47057 [details]
Impress orb suggestion
Comment 23 artguy10 2007-07-25 01:23:01 UTC
Created attachment 47058 [details]
Writer orb suggestion
Comment 24 artguy10 2007-07-25 01:33:08 UTC
On the topic of fixing the other icons, I can make the icns files for all the
icons at the proper size without the dirty edge with the smaller versions as
part of the icns file. The only thing is that I am unsure whether the smaller
versions will have the proper size; I don't know how they are used.
Comment 25 artguy10 2007-07-25 01:51:16 UTC
Created attachment 47059 [details]
base resized
Comment 26 artguy10 2007-07-25 01:51:35 UTC
Created attachment 47060 [details]
calc resized
Comment 27 artguy10 2007-07-25 01:51:57 UTC
Created attachment 47061 [details]
draw resized
Comment 28 artguy10 2007-07-25 01:52:23 UTC
Created attachment 47062 [details]
impress resized
Comment 29 artguy10 2007-07-25 01:52:54 UTC
Created attachment 47063 [details]
main resized (though not from SVG file)
Comment 30 artguy10 2007-07-25 01:53:12 UTC
Created attachment 47064 [details]
math resized
Comment 31 artguy10 2007-07-25 01:54:04 UTC
Created attachment 47065 [details]
writer resized
Comment 32 artguy10 2007-07-25 01:55:45 UTC
Alright, that's all the icons for Mac, resized.

Please verify:
That I got all of them
That they are at a good size
That it is okay regarding the sizes of the smaller versions contained in the
icns file

Okay, is that it? Will they be included in the next build for Mac? Is there
something else I have to do, or can I mark the issue as fixed?
Comment 33 artguy10 2007-07-25 02:01:31 UTC
So the main app icns file will appear in the Applications folder, and that will
open the OpenOffice.org Application sub-folder containing the different apps?
Comment 34 artguy10 2007-07-25 03:44:37 UTC
Actually, there might be a porblem.

I got the SVGs from a banner for OpenOffice.org. I just noticed that these SVGs
have a different seagull type; they are solid white with a black boarder instead
of a 3D-like gradient with a shadow.

Of course, I could take the SVGs I have to re-create the icons with the proper
look, and I could recreate the oo2-main-app.icns also, but is there an SVG
source for this already somewhere?
Comment 35 artguy10 2007-07-25 03:45:21 UTC
Created attachment 47066 [details]
here's the side-by-side
Comment 36 shaunmcdonald131 2007-07-25 09:52:57 UTC
artguy10: Have you signed a JCA?
Comment 37 artguy10 2007-07-25 18:16:36 UTC
No... I'm not sure what that is; I never came across it on this site.

Is that some kind of Java architecture, or something about project planning?
Comment 38 artguy10 2007-07-25 18:28:28 UTC
Ohhhh... http://www.openoffice.org/FAQs/faq-licensing.html#jca1

So it is needed before making new artwork for OpenOffice.org, am I correct? The
purpose, I suppose, is so that Sun doesn't get into any legal trouble for using
contributions?

Well, would it just be nice if before uploading anything you could just mark "I
agree".

I'm wondering if Sun would use my personal information in the JCA for any
purpose (like sending me emails, giving info to third parties, etc). I think
they probably don't, but I want to be sure. On Sun's privacy policy, they said,
"If you choose to provide us with your Personal Information on the Web, we may
transfer that Information within Sun or to Sun's third-party service providers,
across borders, and from your country or jurisdiction to other countries or
jurisdictions around the world."
That troubles me a little; so is the JCA only needed for new icon ideas, or even
if I just resize them for OpenOffice?
Comment 39 shaunmcdonald131 2007-07-25 20:00:47 UTC
artguy10: The JCA is only used for the confirming of contributors to OpenOffice.org. Your name will 
appear at http://www.openoffice.org/copyright/copyrightapproved.html Other than for checking that you 
have signed the JCA, your details are not used based on the information provided on the form. This will 
allow you to submit code and make contributions to OpenOffice.org without a problem in the future.
Comment 40 artguy10 2007-07-26 00:24:36 UTC
Alright.

So I just email the filled-out form to them, and I can contribute?
I won't get phone calls and mail and stuff from them, will I?
Comment 41 shaunmcdonald131 2007-07-26 08:22:36 UTC
artguy10: that's correct
Comment 42 artguy10 2007-07-26 21:02:34 UTC
Alright, I filled-out and emailed the form.

Now back to work. Where are the SVG source files for the existing icons? Should
I simply modify existing icons? Should entirely new icons be made?
Comment 43 artguy10 2007-07-29 07:38:37 UTC
Can anyone confirm that the resized icons are acceptable? Could anyone give
input about location of the SVG files of the current icons or whether logos
modified in any way for the Mac version would be acceptable?

Should I close the issue? What needs to be done for the icns files to be
included in the next build for Mac?
Comment 44 artguy10 2007-08-05 19:31:01 UTC
I found some excellent icons for OpenOffice from Crystal Clear, which I think
would fit in better with the Mac's Aqua/crystal theme. Perhaps we can get a
written statement for these to be open source, or at least permission for use in
the program?
Comment 45 artguy10 2007-08-05 19:32:34 UTC
Created attachment 47328 [details]
Example icon from Crystal Clear: NOT self made
Comment 46 artguy10 2007-08-15 18:18:05 UTC
Excuse me, but I have never before been assigned an issue, so I do not know how
to update the actual program, or if that is left to someone else. I'm asking
again: Are the resized icons that I put up OK? Is there a better SVG source for
me to use? Should I modify the existing icons? Should I create a new icon set
for the Mac version? Could the Crystal Clear icons (which are under a free
license and you could probably get permission from the author also) be used, as
they would best fit in with the Mac OS X theme? I need some feedback. Should I
change the resolution of this issue to FIXED?
Comment 47 artguy10 2007-08-15 18:25:40 UTC
I'm uploading the OpenOffice.org icons from Crystal Clear, which I think are
under the LGPL. I think they would be much more fitting for the Mac version of
OpenOffice.org (even if I could resize the regular icons), and it is not unusual
for a company to greatly modify their icons when it comes to Mac OS X...
Comment 48 artguy10 2007-08-15 18:26:18 UTC
Created attachment 47545 [details]
Base (crystal clear)
Comment 49 artguy10 2007-08-15 18:26:44 UTC
Created attachment 47546 [details]
Calc (Crystal Clear)
Comment 50 artguy10 2007-08-15 18:27:05 UTC
Created attachment 47547 [details]
Draw - Crystal Clear
Comment 51 artguy10 2007-08-15 18:27:28 UTC
Created attachment 47548 [details]
Impress - Crystal Clear
Comment 52 artguy10 2007-08-15 18:27:51 UTC
Created attachment 47549 [details]
Main - Crystal Clear
Comment 53 artguy10 2007-08-15 18:27:57 UTC
Created attachment 47550 [details]
Main - Crystal Clear
Comment 54 artguy10 2007-08-15 18:28:16 UTC
Created attachment 47551 [details]
Math - Crystal Clear
Comment 55 artguy10 2007-08-15 18:28:36 UTC
Created attachment 47552 [details]
Writer - Crystal Clear
Comment 56 artguy10 2007-08-15 18:29:13 UTC
Created attachment 47553 [details]
Alternative Main (Crystal Clear)
Comment 57 shaunmcdonald131 2007-08-15 19:44:42 UTC
Don't mark it as fixed until it is  commited to CVS, I can create the CWS to get it commited.

I think that a JCA is required.

To get a better response a mail to mac@porting.ooo would be best. Note many people are on holiday just 
now.
Comment 58 artguy10 2007-08-15 20:11:32 UTC
Okay, I emailed them.

I'm sure you could get permission (in JCA format) from Everaldo Coelho
(http://www.everaldo.com/contact/) to use these icons. I'll contact him about it...

(I myself signed the JCA, so I could also make icons, btw.)
Comment 59 artguy10 2007-08-15 20:25:06 UTC
Actually, mac@porting.ooo is not a valid email address. How do I contact them?

And I did email Everaldo. I hope we can use his icons.
Comment 60 Rob Weir 2013-07-30 02:22:24 UTC
Reset assignee on issues not touched by assignee in more than 2000 days.